package cn.iocoder.yudao.module.order.convert.orderException;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.order.dal.dataobject.orderException.OrderExceptionDO;
import cn.iocoder.yudao.module.order.vo.orderException.OrderExceptionBackVO;
import cn.iocoder.yudao.module.order.vo.orderException.OrderExceptionCreateReqVO;
import cn.iocoder.yudao.module.order.vo.orderException.OrderExceptionUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 订单异常 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderExceptionConvert {
    /*****转换MapStruct*****/
    OrderExceptionConvert INSTANCE = Mappers.getMapper(OrderExceptionConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderExceptionDO convert(OrderExceptionCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderExceptionDO convert(OrderExceptionUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderExceptionBackVO convert(OrderExceptionDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderExceptionBackVO> convertList(List<OrderExceptionDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderExceptionBackVO> convertPage(PageResult<OrderExceptionDO> page);
}
