package cn.iocoder.yudao.module.order.dal.dataobject.orderObjective;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单目的仓库 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_objective")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderObjectiveDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 目的地id
     */
    private Long objectiveId;

    @ApiModelProperty(value = "目的国家id")
    private Long objectiveCountryId;

    @ApiModelProperty(value = "目的仓库id")
    private Long objectiveWarehouseId;
    /**
     * 目的地详情
     */
    private String objective;
    /**
     * 0调仓标志;1原始数据，实际的目的地仓库
     */
    private Integer type;
    /**
     * 货到没到这个仓库：0未到；1已到
     */
    private Boolean isThis;

}
