package cn.iocoder.yudao.module.order.vo.orderCargoControl;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 订单控货人信息 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderCargoControlBaseVO {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "提单号")
    private String tidanNo;

    @ApiModelProperty(value = "上个控货人ID")
    private Long cargoControlId;

    @ApiModelProperty(value = "控货人名字")
    @NotBlank(message = "控货人名字不能为空")
    private String name;

    @ApiModelProperty(value = "控货人名字(英文)")
    private String nameEn;

    @ApiModelProperty(value = "手机")
    @NotBlank(message = "手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "公司")
    private String company;

    @ApiModelProperty(value = "公司(英文)")
    private String companyEn;

    @ApiModelProperty(value = "国家简称")
    private String iso2;

    @ApiModelProperty(value = "国家区号")
    @NotNull(message = "国家区号不能为空")
    private Integer dialCode;

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "客户联系人id")
    private Long customerContactsId;

    @ApiModelProperty(value = "是否为实际控货人")
    private Boolean isActual;

    @ApiModelProperty(value = "短信验证码")
//    @NotBlank(message = "短信验证码不能为空")
    private String code;


    @ApiModelProperty(value = "控货密码")
    private String controlPassword;

}
