package cn.iocoder.yudao.module.order.vo.orderConsignor;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 订单发货人信息 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderConsignorBaseVO {

    @ApiModelProperty(value = "下单用户id")
    private Long relationId;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "发货人姓名")
    private String name;

    @ApiModelProperty(value = "发货人姓名(英文)")
    private String nameEn;

    @ApiModelProperty(value = "手机")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "公司")
    private String company;

    @ApiModelProperty(value = "公司(英文)")
    private String companyEn;

    @ApiModelProperty(value = "购物车id", required = true)
    @NotNull(message = "购物车id不能为空")
    private Long cartId;

    @ApiModelProperty(value = "国家简称")
    private String countryAbbreviation;

    @ApiModelProperty(value = "国家区号", required = true)
    @NotNull(message = "国家区号不能为空")
    private String countryCode;

    @ApiModelProperty(value = "发货客户ID", required = true)
    @NotNull(message = "不能为空")
    private Long customerId;

    @ApiModelProperty(value = "发货客户联系人ID", required = true)
    @NotNull(message = "不能为空")
    private Long customerContactsId;

    @ApiModelProperty(value = "控货权是否转移 0否 1是", required = true)
    @NotNull(message = "控货权是否转移 0否 1是不能为空")
    private Boolean isDevolve;

}
