package cn.iocoder.yudao.module.order.vo.orderExceptionResult;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 异常处理记录 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("管理后台 - 异常处理记录 Response VO")
public class OrderExceptionResultBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("异常订单id")
    @ApiModelProperty(value = "异常订单id", required = true)
    private Long orderExceptionId;

    @ExcelProperty("处理人")
    @ApiModelProperty(value = "处理人")
    private Long handlerId;

    @ExcelProperty("处理时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "处理时间")
    private Date handlerTime;

    @ExcelProperty("处理结果")
    @ApiModelProperty(value = "处理结果")
    private String handlerResult;

    @ExcelProperty("处理备注")
    @ApiModelProperty(value = "处理备注")
    private String handlerRemark;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "币种")
    private Long currency;
    @ApiModelProperty(value = "客户经理")
    private Long customerService;
    @ApiModelProperty(value = "商品ID")
    private Long productId;
    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal amount;
    @ApiModelProperty(value = "文件")
    private String files;

    @ApiModelProperty(value = "渠道")
    private Long channelId;
    @ApiModelProperty(value = "线路")
    private Long lineId;
    @ApiModelProperty(value = "修改重量")
    private BigDecimal weightLimit;
}
